{% extends "layout.html" %}
{% block body %}

<div class="card mt-4 mb-4">
<div class="card-body">


<div class="accordion" id="accordionExample">
<div class="card mt-3">
<div class="card-header p-0 text-right" id="headingOne">
<h5 class="mb-0">
<button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
اطلاعات نمودار تولد
</button>
</h5>
</div>

<div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
<div class="card-body">
<form id="jdata" name="jdata">
<div class="row" style="direction: rtl;">

<div class="col-md-3">
<input
    class="form-control mb-3"
    type="text"
    style="direction: rtl; font-family: Vazir;"
    id="fname"
    name="fname"
    placeholder="نام بومی"
    value=""
    min="1"
    max="15"
/>

</div>

<div class="col-md-3">

<input
    class="form-control mb-3"
    type="text"
    style="direction: rtl; font-family: Vazir;"
    id="lname"
    name="lname"
    placeholder="نام خانوادگی بومی"
    value=""
    min="1"
    max="15"
/>    
</div>


<div class="col-md-6">
<div class="form-row">
    <div class="col-md-6">
        
        
        <select style="direction: ltr;" class="form-control" id="tz">
            {% for tz in tzs %}
            <option value="{{tz.offset}}/{{tz.name}}"> {{tz.offset}} - {{tz.abbr}} </option>
            {% endfor %}
        </select>


</div>
<div class="col">
<input
    class="form-control mb-3 text-center"
    id="hour"
    name="hour"
    placeholder="ساعت تولد"
    value=""
    min="00"
    max="24"
/>

</div>
<div class="col">

<input
class="form-control mb-3 text-center"
    id="min"
    name="min"
    placeholder="دقیقه تولد"
    value=""
    min="00"
    max="59"
/>

</div>

</div>
</div>
</div>

<div class="row">

<div class="col-md-2 text-center">
<select class="form-control" name="date_type" id="date_type">
<option>میلادی</option>
<option>شمسی</option>
</select>

</div>
<div class="col-md-4 text-right">
<div class="form-row">
<div class="col">
<input
class="form-control text-center"
    id="j_day"
    name="j_day"
    placeholder="روز"
    value=""
    min="1"
    max="31"
/>
</div>
<div class="col">
<input
    class="form-control text-center"
    id="j_month"
    name="j_month"
    placeholder="ماه"
    value=""
    min="1"
    max="12"
/>
</div>
<div class="col">
<input
    class="form-control text-center"
    id="j_year"
    name="j_year"
    placeholder="سال"
/>
</div>              
</div>
</div>


<div class="col-md-6">
<div class="form-row">
<a class="p-1 m-0 alert mr-2 small z-depth-0" id="manual_location" >
    <i class="fa fa-cogs"></i>
</a>
<input type="text" class="form-control col-md-11 text-center" placeholder="موقعیت جغرافیایی" name="location" id="autocomplete"/>
<input type="hidden" id="autocomplete_hidden" />
<input type="hidden" id="d_lon" />
<input type="hidden" id="d_lat" />
<input type="text" class="form-control col-md-5 text-center mr-5" placeholder="45E48" name="manualLocationLon" id="manualLocationLon" style="display: none"/>
<input type="text" class="form-control col-md-5 text-center" placeholder="15N58" name="manualLocationLat" id="manualLocationLat" style="display: none"/>
</div>
</div>
<br/>
    <div class="btn-group btn-sm mt-3" role="group" aria-label="">
      <button type="button" class="btn btn-dark-green" id="get_chart" onclick="generate()">
              دریافت چارت
            <i class="fas fa-cogs pl-2"></i>  
      </button>
      <button type="button" id="reset_form" class="btn btn-dark">پاک کردن فرم</button>
    </div>
</form>

</div> 

</div>


</div>



</div>
</div>
</div>

<div class="card z-depth-0">
<div class="card-header text-right" id="headingTwo">
<h5 class="mb-0">
<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
نمودار تولد
</button>
</h5>
</div>
<div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
<div class="card-body">
<div class="row">
    <article class="text-center col-md-8">
        <canvas id="canvas_chart" tabindex="1"  width="500" height="450"></canvas>
        <hr/>
          <button type="button" class="btn btn-dark">
            ذخیره چارت
          </button>
    
    </article>
    <div class="col-md-4">
        <table class="table font-weight-bold">
            <tr>
                <td id="info_fname" class="text-center font-weight-bold">
                    
                </td>
                <td style="direction: rtl; text-align: right">
                    نام
                </td>
            </tr>
            <tr>
                <td  class="text-center font-weight-bold">
                    <span id="info_lname"></span>
                </td>
                <td style="direction: rtl; text-align: right">
                    نام خانوادگی
                </td>
            </tr>
            <tr>
                <td id="info_time" class="text-center font-weight-bold">
                    
                </td>
                <td style="direction: rtl; text-align: right">
ساعت تولد
                </td>
            </tr>
            <tr>
                <td id="info_tz" class="text-center font-weight-bold">
                    
                </td>
                <td style="direction: rtl; text-align: right">
اختلاف زمانی
                </td>
            </tr>             
            <tr>
                <td id="info_date" class="text-center font-weight-bold" >
                    
                </td>
                <td style="direction: rtl; text-align: right">
                    تاریخ تولد
                </td>
            </tr>
            <tr>
                <td id="info_location" class="text-center font-weight-bold">
                    
                </td>
                <td style="direction: rtl; text-align: right">
موقغیت جغرافیایی 
                </td>
            </tr>                                    
            <tr>
                <td class="text-center font-weight-bold">
                    <span id="info_lagna" >
                        
                    </span>                    
                </td>
                <td style="direction: rtl; text-align: right">
                  لاگنا  
                </td>
            </tr>
            
            <tr>
                <td>
                    
                </td>
                <td>
                    
                </td>
            </tr>
        </table>
    </div>
</div>
</div>
</div>
</div>
</div>


<div class="collapse" id="collapseExample">

<!-- <article class="disable_select">
<canvas id="canvas_info" tabindex="0" width="700" height="190"
>[ Information ]</canvas
>
</article> -->
</div>

</div>


</div>
</div>
{% endblock %}